> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-payment/implement-nfc-payment/manage-digital-card/display-digital-card.md).

# Display digital card

### Overview

Retrieve one or more digital cards and their properties.

### Flow

Use the D1 SDK in the issuer application to retrieve NFC Payment digital cards.

The D1 SDK exposes two APIs for this flow:

* `D1PayWallet.getDigitalCard()` returns one digital card for the provided `cardID`.
* `D1PayWallet.getDigitalCardList()` returns a map of `cardID` values and their digital cards.

Both APIs return a `D1PayDigitalCard` object with the following properties:

* Digital card state: active or inactive.
* Payment network: Visa or Mastercard.
* Expiry date.
* Last four digits.
* Terms and conditions URL.
* Whether replenishment is required.
* Whether [ODA](/nfc-payment/implement-nfc-payment/support-replenishment/replenish-oda.md) replenishment is required.
* Number of payments left before replenishment is required.
* Whether the digital card is the default card for payment.

To retrieve card art, use [`D1Task.getCardMetadata()` and `CardMetadata.getAssetList()`](https://thales-dis-dbp.stoplight.io/docs/d1-caas/a9a9955c6d695-display-card-metadata).

### SDK

#### Get a digital card

{% tabs %}
{% tab title="Android Java" %}

```java
D1PayWallet d1PayWallet = d1Task.getD1PayWallet();
String d1CardID = "";
d1PayWallet.getDigitalCard(d1CardID,
    new D1Task.Callback<D1PayDigitalCard>() {
        @Override
        public void onSuccess(@NonNull D1PayDigitalCard digitalCard) {
            String cardID = digitalCard.getCardID();
            State state = digitalCard.getState();
            Scheme scheme = digitalCard.getScheme();
            String expiryDate = digitalCard.getExpiryDate();
            String last4 = digitalCard.getLast4();
            String tncURL = digitalCard.getTncURL();
            boolean isReplenishmentNeeded = digitalCard.isReplenishmentNeeded();
            boolean isAuthenticationRequired = digitalCard.isAuthenticationRequiredBeforeReplenishment();
            boolean isODAReplenishmentNeeded = digitalCard.isODAReplenishmentNeeded();
            int numberOfPaymentsLeft = digitalCard.getNumberOfPaymentsLeft();
            boolean isDefault = digitalCard.isDefaultCard();
        }

        @Override
        public void onError(@NonNull D1Exception exception) {
            // Refer to D1 SDK Integration – Error Management section
        }
    }
);
```

{% endtab %}
{% endtabs %}

#### Get all digital cards

{% tabs %}
{% tab title="Android Java" %}

```java
D1PayWallet d1PayWallet = d1Task.getD1PayWallet();
d1PayWallet.getDigitalCardList(
    new D1Task.Callback<Map<String, D1PayDigitalCard>>() {
        @Override
        public void onSuccess(@NonNull Map<String, D1PayDigitalCard> digitalCards) {
            for (Map.Entry<String, D1PayDigitalCard> entry: digitalCards.entrySet()) {
                String d1CardID = entry.getKey();
                D1PayDigitalCard digitalCard = entry.getValue();
            }
        }

        @Override
        public void onError(@NonNull D1Exception exception) {
            // Refer to D1 SDK Integration – Error Management section
        }
    }
);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-payment/implement-nfc-payment/manage-digital-card/display-digital-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
